<a href='https://github.com/angular/angular.js/edit/master/src/ng/directive/attrs.js?message=docs(ngChecked)%3A%20describe%20your%20change...#L189' class='improve-docs btn btn-primary'><i class="glyphicon glyphicon-edit">&nbsp;</i>Improve this Doc</a>



<a href='https://github.com/angular/angular.js/tree/master/src/ng/directive/attrs.js#L189' class='view-source pull-right btn btn-primary'>
  <i class="glyphicon glyphicon-zoom-in">&nbsp;</i>View Source
</a>


<header class="api-profile-header">
  <h1 class="api-profile-header-heading">ngChecked</h1>
  <ol class="api-profile-header-structure naked-list step-list">
    
    <li>
      - directive in module <a href="api/ng">ng</a>
    </li>
  </ol>
</header>



<div class="api-profile-description">
  <p>Sets the <code>checked</code> attribute on the element, if the expression inside <code>ngChecked</code> is truthy.</p>
<p>Note that this directive should not be used together with <a href="api/ng/directive/ngModel"><code>ngModel</code></a>,
as this can lead to unexpected behavior.</p>
<p>A special directive is necessary because we cannot use interpolation inside the <code>checked</code>
attribute. See the <a href="guide/interpolation">interpolation guide</a> for more info.</p>

</div>




<div>
  

  
  <h2>Directive Info</h2>
  <ul>
    
    <li>This directive executes at priority level 100.</li>
    
  </ul>

  
  <h2 id="usage">Usage</h2>
  <div class="usage">
  
    <ul>
    <li>as attribute:
        <pre><code>&lt;INPUT&#10;  ng-checked=&quot;expression&quot;&gt;&#10;...&#10;&lt;/INPUT&gt;</code></pre>
      </li>
    
  </div>
  
<section class="api-section">
  <h3>Arguments</h3>

<table class="variables-matrix input-arguments">
  <thead>
    <tr>
      <th>Param</th>
      <th>Type</th>
      <th>Details</th>
    </tr>
  </thead>
  <tbody>
    
    <tr>
      <td>
        ngChecked
        
        
      </td>
      <td>
        <a href="" class="label type-hint type-hint-expression">expression</a>
      </td>
      <td>
        <p>If the <a href="guide/expression">expression</a> is truthy,
    then the <code>checked</code> attribute will be set on the element</p>

        
      </td>
    </tr>
    
  </tbody>
</table>

</section>
  


  
  <h2 id="example">Example</h2><p>

<div>
  <plnkr-opener example-path="examples/example-example56"></plnkr-opener>

  <div class="runnable-example"
      path="examples/example-example56">

  
    <div class="runnable-example-file" 
      name="index.html"
      language="html"
      type="html">
      <pre><code>&lt;label&gt;Check me to check both: &lt;input type=&quot;checkbox&quot; ng-model=&quot;master&quot;&gt;&lt;/label&gt;&lt;br/&gt;&#10;&lt;input id=&quot;checkSlave&quot; type=&quot;checkbox&quot; ng-checked=&quot;master&quot; aria-label=&quot;Slave input&quot;&gt;</code></pre>
    </div>
  
    <div class="runnable-example-file" 
      name="protractor.js"
      type="protractor"
      language="js">
      <pre><code>it(&#39;should check both checkBoxes&#39;, function() {&#10;  expect(element(by.id(&#39;checkSlave&#39;)).getAttribute(&#39;checked&#39;)).toBeFalsy();&#10;  element(by.model(&#39;master&#39;)).click();&#10;  expect(element(by.id(&#39;checkSlave&#39;)).getAttribute(&#39;checked&#39;)).toBeTruthy();&#10;});</code></pre>
    </div>
  

    <iframe class="runnable-example-frame" src="examples/example-example56/index.html" name="example-example56"></iframe>
  </div>
</div>


</p>

</div>


